
/**
 *  Web唐明明
 *  匆匆数载恍如梦，岁月迢迢华发增。
 *  碌碌无为枉半生，一朝惊醒万事空。
 *  explain: userInfoLayer
 */

Component({
    /**
     * 组件的属性列表
     */
    properties: {
        showLayer: {
            type    : Boolean,
            value   : false
        }
    },

    /**
     * 组件的方法列表
     */
    methods: {
        userInfo(info){
            if(info.detail.errMsg == "getUserInfo:ok"){
                this.triggerEvent("updateinfo", {
                    userInfo : info.detail.userInfo,
                    auth     : true
                })
            }else{
                this.triggerEvent("updateinfo", {
                    userInfo : {},
                    auth     : false
                })
            }
        }
    }
})
